clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::SelectionRangeParams Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SelectionRangeParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The text document. More...
std::vector< Position > | positions
| The positions inside the text document. More...

## Detailed Description

Definition at line 1238 of file Protocol.h.

## Member Data Documentation

## ◆ positions

std::vector<Position> clang::clangd::SelectionRangeParams::positions

The positions inside the text document.

Definition at line 1243 of file Protocol.h.

## ◆ textDocument

TextDocumentIdentifier clang::clangd::SelectionRangeParams::textDocument

The text document.

Definition at line 1240 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h